<?php
/**
*
* @package fs
* @author : copyright 2009 phpbb3-mods.com
* Registered Copyright Certificate #: 0030187 March 2009
*
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* fs_mods
* Displays mods statistics - submodules : basic, advanced
*
* @package fs
*/
class fs_mods
{
	var $u_action;

	function main($id, $mode)
	{
		global $config, $db, $user, $auth, $template, $phpbb_root_path, $phpEx;
		global $cache;

		switch ($mode)
		{
			case 'mods':
//genders
$filename = $phpbb_root_path . 'includes/functions_genders.'.$phpEx;

if (file_exists($filename))
{


				//genders
				$gender_counts = get_genders_count();
				$total_users_with_gender = array_sum($gender_counts);
				if ($total_users_with_gender)
				{
					$template->assign_vars(array(
						'USERS_WITH_GENDER'		=> $total_users_with_gender . ' / ' . $config['num_users'],
						'MALE_COUNT'			=> (int) $gender_counts[GENDER_M],
						'FEMALE_COUNT'			=> (int) $gender_counts[GENDER_F],
						'MALE_FEMALE_RATIO'		=> ($gender_counts[GENDER_F] > 0) ? number_format($gender_counts[GENDER_M] / $gender_counts[GENDER_F], 1) . ' : 1' : $gender_counts[GENDER_M] . ' : 0',
					));
				}

}
 else
{
$template->set_filenames(array(
	'body' => 'no_mods.html')
);

}
}
}
}
?>